
Redmine - Defect #9107

Git: Redmine can't show Simplified Chinese character in filenames in git repository

2011-08-23 10:18 - xuwei cheng

Status: Closed Start date: 2011-08-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

环境

ubuntu10

redmine0.9

问题见图

Related issues:

Is duplicate of Redmine - Defect #5251: Git: Repository path encoding of non ... Closed 2010-04-07

History

#1 - 2011-08-23 10:27 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Speak english.

#2 - 2011-09-22 09:14 - Bogor shi

- Status changed from Closed to Reopened

it is say that can't show chinese file name  right in redmine's repository!  chinese file name made in windows.

but used TortoiseGit is OK!

#3 - 2011-09-22 10:23 - Toshi MARUYAMA

- Subject changed from git+redmine乱码 to Git: Redmine can't show Simplified Chinese character in filenames in git repository

- Category set to SCM

- Status changed from Reopened to Closed

Set Simplified Chinese encoding name on your repository setting.

#4 - 2011-09-22 10:25 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

#5 - 2011-09-22 10:25 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate

#6 - 2011-09-22 12:53 - Bogor shi

- Status changed from Closed to Reopened

I had change Simplified Chinese encoding name on my repository setting,but no ok like then pic. I think maybe redmine need add some function to do

this.like http://code.google.com/p/utf8-git-on-windows/downloads/list  we set server on ubuntu and client on windows ,we have to use this git.

 乱码.jpg 

Thank you!

#7 - 2011-09-22 14:09 - Toshi MARUYAMA

- Status changed from Reopened to Closed
http://code.google.com/p/utf8-git-on-windows/downloads/list


Redmine has tests of path encoding.

You need to use above git 1.7.2 or set "core.quotepath=false".

See source:tags/1.2.1/lib/redmine/scm/adapters/git_adapter.rb#L363

#8 - 2011-09-22 17:51 - Bogor shi

- Status changed from Closed to Reopened

first : Server  ubuntu 10.04 git-core 1.7.04  gitolite  gitk  redmine 1.2.1 mysql 5.1.4

Client msysgit 1.7.3,TortoiseGit 1.6

git repo made by gitolite.than on client  TortoiseGit  OK! on server gitk OK! but in redmine NO OK!

set server  git config  --globle "core.quotepath=false"  The problem same.

update my git-core 1.7.6 than tst  The problem same.  I don't why!

Could you show me your server environment and config?

Thank you!

#9 - 2011-09-22 18:40 - Toshi MARUYAMA

- Status changed from Reopened to Closed

All Redmine tests pass.

This is Redmine issue tracker, not supporting.

You should open topic on forum.

#10 - 2011-09-23 04:28 - Bogor shi

Help in your.

I have fix the problem. and i write here for others; I am sorry to make issue tracker is support!

Thank you very much!  

update  git-core 1.7.2 (http://packages.debian.org/source/squeeze/git)

 git config --system  core.quotepath false

 everything is OK!
